Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.describecoverage
Class DescribeCoverage

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcs.WCSRequestBase
              org.deegree.ogcwebservices.wcs.describecoverage.DescribeCoverage

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeCoverage

extends WCSRequestBase

A DescribeCoverage request lists the coverages to be described, identified by the Coverage parameter. A request that lists no coverages shall be interpreted as requesting descriptions of all coverages that a WCS can serve.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`DescribeCoverage(String id, String version, String[] coverages)`

Method Summary
`static DescribeCoverage` | `create(Map map)` creates a DescribeCoverage request from its KVP representation
`static DescribeCoverage` | `create(String id, Document doc)` creates a DescribeCoverage request from its XML representation
`static DescribeCoverage` | `createDescribeCoverage(String id, String kvp)` creates a DescribeCoverage request from its KVP representation
`String[]` | `getCoverages()`
`String` | `getRequestParameter()` returns the URI of a HTTP GET request.

Methods inherited from class org.deegree.ogcwebservices.wcs.WCSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeCoverage

    public DescribeCoverage(String id,
                            String version,
                            String[] coverages)

Parameters:
  `id` - unique ID of the request
  `version` - Request protocol version
  `coverages` - list of coverages to describe (identified by their name values in the Capabilities response). If `null` or length == 0 all coverages of the service instances will be described

Method Detail

### create

    public static DescribeCoverage create(Map map)
                                   throws OGCWebServiceException,
                                          MissingParameterValueException,
                                          InvalidParameterValueException

  creates a DescribeCoverage request from its KVP representation

  Parameters:
    `map` - request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `WCSException` - will be thrown if a WCS/DescribeCoverage specific part of the request is erroreous

### createDescribeCoverage

    public static DescribeCoverage createDescribeCoverage(String id,
                                                          String kvp)
                                                   throws OGCWebServiceException,
                                                          MissingParameterValueException,
                                                          InvalidParameterValueException

  creates a DescribeCoverage request from its KVP representation

  Parameters:
    `id` - unique ID of the request
    `kvp` - request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `WCSException` - will be thrown if a WCS/DescribeCoverage specific part of the request is erroreous

### create

    public static DescribeCoverage create(String id,
                                          Document doc)
                                   throws OGCWebServiceException,
                                          MissingParameterValueException,
                                          InvalidParameterValueException

  creates a DescribeCoverage request from its XML representation

  Parameters:
    `id` - unique ID of the request
    `doc` - XML representation of the request
  Returns:
    created `DescribeCoverage`
  Throws:
    `OGCWebServiceException` - will be thrown if something general is wrong
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `WCSException` - will be thrown if a WCS/DescribeCoverage specific part of the request is erroreous

### getCoverages

    public String[] getCoverages()

  Returns:
    Returns the coverages.

### getRequestParameter

    public String getRequestParameter()
                               throws OGCWebServiceException

  Description copied from class: `AbstractOGCWebServiceRequest`
  returns the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown

  Specified by:
    `getRequestParameter` in interface `OGCWebServiceRequest`
  Overrides:
    `getRequestParameter` in class `AbstractOGCWebServiceRequest`
  Returns:
    the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org